<?php 

	

 ?>

<?php
//***************************************************************************************
// Nombre del Script: becado.php
// Descripción: Permite la gestión de los estudiantes becados de la ENAHP (Cambiar el regimen de becas).
//************************************************************************************** 
 session_start();
require_once('Connections/conn.php');
require_once('html/ClsGeneradorHtml.class.php'); 
  require_once('Connections/dbms.class.php');
  require_once('Connections/dbmy.class.php');
  require_once('clsObjetodeDatos.class.php');



  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
   // $wholeonly=false
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];
 
?>

<html>
<head>
<title>siga-Becados</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .dr1 {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 9px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
.style1 {
	background-color: #336699;
	color: #FFFFFF;
	font-family: Arial;
	font-size: 16px;
	font-weight: bold;
}
</style>
<script src="jquery.min.js" type="text/javascript"></script>
<script type="text/javascript">




</script>


</head>




<body>


<table class="hr" width="100%"><tr><td class="style1">Gesti&oacute;n de Becados</td>
</tr>
</table>
<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 250;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];
  
  $id_alumno=@$_POST["xid_alumno"];
  
  $id_alumno_volver=@$_GET["id_alumno_volver"];
  // Nombre del campo con el que se realiza el filtro.   
 
  $campo=@$_GET["campo"];
  // Valor del campo con que el que se realiza el filtro.
  
  $valor_campo=@$_GET["valor_campo"];
  
  
  switch ($sql) {
    case "update":
      sql_update();
      break;
  }

  switch ($a) {
    case "edit":
	  viewrec($recid,$filter,$filterfield);
      //editrec($recid,$filter,$filterfield);
      break;
    default:
      select();
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;
  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
</body>
</html>

<?php

 function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;

  
  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr><td>N&uacute;mero de Becados: <?php echo $startrec + 1 ?> - <?php echo $reccount ?> de <?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<form action="becados.php" method="post">
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los campos</option>

<option value="<?php echo "cedula" ?>"<?php if ($filterfield == "cedula") { echo "selected"; } ?>><?php echo "Cédula" ?></option>

<option value="<?php echo "apellidos" ?>"<?php if ($filterfield == "apellidos") { echo "selected"; } ?>><?php echo "Apellidos" ?></option>

<option value="<?php echo "nombres" ?>"<?php if ($filterfield == "nombres") { echo "selected"; } ?>><?php echo "Nombres" ?></option>

<option value="<?php echo "descripcion" ?>"<?php if ($filterfield == "descripcion") { echo "selected"; } ?>><?php echo htmlspecialchars("Tipo de Beca") ?></option>
</select></td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="becados.php?a=reset">Quitar Filtro</a></td>
</tr>
</table>
</form>
<hr size="1" noshade>

<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="3" width="100%">
<tr>
<td class="hr" align="center">Editar</td>
<td class="hr" align="center">Imprimir<br>Ficha</td>
<td class="hr" align="center"><a class="hr" href="becados.php?order=<?php echo "cedula" ?>&type=<?php echo $ordtypestr ?>"><?php echo "Cédula" ?></a></td>
<td class="hr" align="center"><a class="hr" href="becados.php?order=<?php echo "apellidos" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Apellidos") ?></a></td>
<td class="hr" align="center"><a class="hr" href="becados.php?order=<?php echo "nombres" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Nombres") ?></a></td>
<td class="hr" align="center"><a class="hr" href="becados.php?order=<?php echo "descripcion" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Tipo de Beca") ?></a></td>
</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }  
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="becados.php?a=edit&recid=<?php echo $i ?>"><img src="imagenes/edit.gif" border="0" ></a></td>
<td class="<?php echo $style ?>" align="center"><img src="imagenes/printer.png" border="0"  onClick="imprimir_alumno('<?php echo $row["cedula"] ?>')"></a></td>
<td class="<?php echo $style ?>" align="right"><?php echo htmlspecialchars($row["cedula"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombres"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["descripcion"]) ?></td>

</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php showpagenav($page, $pagecount); ?>
<?php } ?>

<?php function showrow($row, $recid)
  {
  global $conn;
  //$conn=connect();

  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  
  if($row['sexo']=="0"){
     $sexo='MASCULINO';
   }
  else{
     $sexo='FEMENINO';
   }  
   
  if($row['nacionalidad']=="V"){
     $nacionalidad='VENEZOLANA';
   }
  else{
     $nacionalidad='EXTRANJERA';
   }  
   
  switch ($row['privado_lib']) {
     case "1":
      $privado_lib='SI';
      break;
    case "2":
       $privado_lib='NO';
      break;
    case "3":
       $privado_lib='NO APLICA';
      break;
   }
   
   if($row['condicion_res']=="1"){
    $condicion_res='RESIDENTE';
   }
   else{
     $condicion_res='TRANSEÚNTE';
   }  
   
   
    if($row['tipo_doc']=="C"){
     $tipo_doc='CÉDULA';
   }
  else{
      $tipo_doc='PASAPORTE';
   }   
   
   switch ($row['edo_civil']) {
    case "S":
      if($sexo=="MASCULINO"){
         $edo_civil="SOLTERO";
	  }
	  else{
	     $edo_civil="SOLTERA";
	  }	 
      break;
    case "C":
       if($sexo=="MASCULINO"){
         $edo_civil="CASADO";
	  }
	  else{
	     $edo_civil="CASADA";
	  }
      break;
    case "V":
       if($sexo=="MASCULINO"){
         $edo_civil="VIUDO";
	  }
	  else{
	     $edo_civil="VIUDA";
	  }
      break;
	case "D":
       if($sexo=="MASCULINO"){
         $edo_civil="DIVORCADO";
	  }
	  else{
	     $edo_civil="DIVORCIADA";
	  }
      break;
     }
 
  $cod_etnia= str_replace('"', '&quot;', trim($row["etnia"]));
  $query_rstEtnias1 = "SELECT * FROM etnias WHERE etnias.codigo='$cod_etnia' ";
  $rstEtnias1 = mysql_query($query_rstEtnias1, $conn) or die(mysql_error());
  $row_rstEtnias1 = mysql_fetch_assoc($rstEtnias1);
  $totalRows_rstEtnias1 = mysql_num_rows($rstEtnias1);
    
  // Formatea el Lugar de Nacimiento 
  $codpais = str_replace('"', '&quot;', trim($row["pais_nacimiento"]));
  $query_rstPais1 = "SELECT * FROM paises WHERE paises.codigo='$codpais'";
  $rstPais1 = mysql_query($query_rstPais1, $conn) or die(mysql_error());
  $row_rstPais1 = mysql_fetch_assoc($rstPais1);
  $totalRows_rstPais1 = mysql_num_rows($rstPais1);  
   
  $codEstado = str_replace('"', '&quot;', trim($row["estado_nacimiento"]));
  $query_rstEstados1 = "SELECT * FROM estados WHERE estados.codigo='$codEstado'";
  $rstEstados1 = mysql_query($query_rstEstados1, $conn) or die(mysql_error());
  $row_rstEstados1 = mysql_fetch_assoc($rstEstados1);
  $totalRows_rstEstados1 = mysql_num_rows($rstEstados1);

  $codMunicipio = str_replace('"', '&quot;', trim($row["municipio_nacimiento"]));
  $query_rstMunicipio1 = "SELECT * FROM municipios WHERE municipios.codigo='$codMunicipio'";
  $rstMunicipio1 = mysql_query($query_rstMunicipio1, $conn) or die(mysql_error());
  $row_rstMunicipio1 = mysql_fetch_assoc($rstMunicipio1);
  $totalRows_rstMunicipio1 = mysql_num_rows($rstMunicipio1);

  $codParroquia = str_replace('"', '&quot;', trim($row["parroquia_nacimiento"]));
  $query_rstParroquias1 = "SELECT * FROM parroquias WHERE parroquias.codigo='$codParroquia'";
  $rstParroquias1 = mysql_query($query_rstParroquias1, $conn) or die(mysql_error());
  $row_rstParroquias1 = mysql_fetch_assoc($rstParroquias1);
  $totalRows_rstParroquias1 = mysql_num_rows($rstParroquias1);

  // Formatea el Lugar de Procedencia.  
  $codEstado = str_replace('"', '&quot;', trim($row["estado_procedencia"]));
  $query_rstEstados2 = "SELECT * FROM estados WHERE estados.codigo='$codEstado'";
  $rstEstados2 = mysql_query($query_rstEstados2, $conn) or die(mysql_error());
  $row_rstEstados2 = mysql_fetch_assoc($rstEstados2);
  $totalRows_rstEstados2 = mysql_num_rows($rstEstados2);
  
  $codMunicipio = str_replace('"', '&quot;', trim($row["municipio_procedencia"]));
  $query_rstMunicipio2 = "SELECT * FROM municipios WHERE municipios.codigo='$codMunicipio'";
  $rstMunicipio2 = mysql_query($query_rstMunicipio2, $conn) or die(mysql_error());
  $row_rstMunicipio2 = mysql_fetch_assoc($rstMunicipio2);
  $totalRows_rstMunicipio2 = mysql_num_rows($rstMunicipio2);
  
  $discapacidad= str_replace('"', '&quot;', trim($row["discapacidad"]));
  $query_rstDiscapacidad = "SELECT * FROM discapacidades WHERE codigo='$discapacidad'";
  $rstDiscapacidad = mysql_query($query_rstDiscapacidad, $conn) or die(mysql_error());
  $row_rstDiscapacidad = mysql_fetch_assoc($rstDiscapacidad);

  $sede_alumno = str_replace('"', '&quot;', trim($row["sede"]));
  $sql_sede = "select nombre_sede from sedes where codigo='$sede_alumno'";
  $rs_sede=mysql_query($sql_sede, $conn);
  $row_sede = mysql_fetch_assoc($rs_sede);
  $nombre_sede=$row_sede["nombre_sede"];
  
  $carrera_alumno = str_replace('"', '&quot;', trim($row["carrera"]));
  $sql_carreras = "select nombre_carrera from carreras where  id_carrera='$carrera_alumno'";
  $rs_carreras=mysql_query($sql_carreras, $conn);
  $row_carreras = mysql_fetch_assoc($rs_carreras);
  $carrera=$row_carreras["nombre_carrera"];
  
  // Formatea el Dirección de Habitación 
  $edo_hab = str_replace('"', '&quot;', trim($row["dir_estado"]));
  $sql_edo_hab = "SELECT * FROM estados WHERE estados.codigo='$edo_hab'";
  $rst_edo_hab = mysql_query($sql_edo_hab, $conn) or die(mysql_error());
  $row_edo_hab = mysql_fetch_assoc($rst_edo_hab);
  $total_rows_edo_hab = mysql_num_rows($rst_edo_hab);

  $municipio_hab = str_replace('"', '&quot;', trim($row["dir_municipio"]));
  $sql_municipio_hab = "SELECT * FROM municipios WHERE municipios.codigo='$municipio_hab'";
  $rst_municipio_hab = mysql_query($sql_municipio_hab, $conn) or die(mysql_error());
  $row_municipio_hab = mysql_fetch_assoc($rst_municipio_hab);
  $total_rows_municipio_hab = mysql_num_rows($rst_municipio_hab);

  $parroquia_hab = str_replace('"', '&quot;', trim($row["dir_parroquia"]));
  $sql_parroquia_hab = "SELECT * FROM parroquias WHERE parroquias.codigo='$parroquia_hab'";
  $rst_parroquia_hab = mysql_query($sql_parroquia_hab, $conn) or die(mysql_error());
  $row_parroquia_hab = mysql_fetch_assoc($rst_parroquia_hab);
  $total_rows_parroquia_hab = mysql_num_rows($rst_parroquia_hab);
 
  $cedula_alumno=$row['cedula'];
  $ruta="./fotografias/".$cedula_alumno.".JPG"."?".rand(0,1000000);
  
  $edad=edad($row["fecha_nac"]);
  
  $id_alumno=$row["id_alumno"];
  $mencion=$row["mencion"];
  if($mencion=="COMUN")$nombre_mencion="COMPONENTE GENERAL";
  if($mencion=="ACE")$nombre_mencion="ADUANAS Y COMERCIO EXTERIOR";
  if($mencion=="FIN")$nombre_mencion="FINANZAS PÚBLICAS";
  if($mencion=="RT")$nombre_mencion="RENTAS";
    
  $ida=calcular_ida($id_alumno,$carrera_alumno);
  $ida=number_format($ida,2,",",".");
?>

<link href="modelo/calendario/calendar-win2k-cold-1.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/js_estilos.js"></script>
<script type="text/javascript" src="js/dinamica.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar-setup.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar-en.js"></script>


<table class="tbl" border="0" cellspacing="1" cellpadding="4"width="90%">
<tr>
<td colspan="2">Datos Personales <img src="imagenes/printer.png" border="0"  onClick="imprimir_alumno('<?php echo $row["cedula"] ?>')"></a></td>
</tr>
<tr>
<td class="hr" rowspan="4" ><div align="center" ><img src="<?php echo $ruta; ?>" name="fotop" width="100" height="100" border="0" align="center" id="fotop" /></div></td>
<td class="hr"><?php echo htmlspecialchars("Matrícula")."&nbsp;" ?></td>
<td class="dr"><input name="id_alumno" type="text" disabled="disabled" value="<?php echo str_replace('"', '&quot;', trim($row["id_alumno"])) ?>" size="6" maxlength="6"></td>

</tr>


<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo Documento Id")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($tipo_doc) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Cédula")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["cedula"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nacionalidad")."&nbsp;" ?></td>
<td class="dr"><?php echo $nacionalidad ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nombres"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sexo")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($sexo) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Estado Civil")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($edo_civil) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Nacimiento")."&nbsp;" ?></td>
<td class="dr"><input name="fecha_nac" type="text" size="10" maxlength="10" value="<?php echo join ("-",(array_reverse(split("-",$row["fecha_nac"])))) ?>" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)">&nbsp;&nbsp;(dd-mm-aaaa)</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Edad Actual")."&nbsp;" ?></td>
<td class="dr"><?php echo $edad; ?></td>
</tr>


<tr>
<td class="hr"><?php echo htmlspecialchars("Grupo Étnico")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_rstEtnias1['etnia']?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Diversidad Funcional")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_rstDiscapacidad["discapacidad"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Condición de Residencia")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($condicion_res) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Privado de Libertad")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($privado_lib) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Teléfono Habitación")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["telefono_hab"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Teléfono Celular")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["telefono_cel"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Otro Teléfono")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["telefono_trab"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Correo Electrónico")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["email"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Cuenta Twitter")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["twitter"]) ?></td>
</tr>


<tr>
<td colspan="2">Dirección de Habitación</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Avenida o Calle")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["dir_calle"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Edificio, casa o quinta")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["dir_edificio"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Piso")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["dir_piso"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apto. o Número")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["dir_numero"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Urbanización, Barrio o Sector")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["dir_sector"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Ciudad")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["dir_ciudad"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Entidad Federal")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_edo_hab["estado"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Municipio")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_municipio_hab["municipio"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Parroquia")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_parroquia_hab["parroquia"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Zona Postal")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["dir_zona"]) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Condición de Tenencia Vivienda")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["dir_vivienda"]) ?></td>
</tr>

<tr>
<td colspan="2">Lugar de Nacimiento</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Ciudad")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["lugar_nacimiento"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("País")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_rstPais1['pais']?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Entidad Federal")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_rstEstados1['estado']?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Municipio")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_rstMunicipio1['municipio']?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Parroquia")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_rstParroquias1['parroquia']?></td>
</tr>
<tr>
<td colspan="2">Lugar de Procedencia</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Ciudad")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["lugar_procedencia"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Entidad Federal")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_rstEstados2['estado']?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Municipio")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_rstMunicipio2['municipio']?></td>
</tr>

<tr>
<td colspan="2">Datos Académicos</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Programa que Cursa")."&nbsp;" ?></td>
<td class="dr" colspan="2"><?php echo $carrera ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Componente o Mención")."&nbsp;" ?></td>
<td class="dr" colspan="2"><?php echo $nombre_mencion ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede Actual")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_sede ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Indice de Desempeño Académico")."&nbsp;" ?></td>
<td class="dr" colspan="2"><?php echo $ida ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Ingreso ENAHP")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars(join ("-",(array_reverse(explode("-",$row["fecha_ingreso"]))))) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Última Inscripción")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars(join ("-",(array_reverse(explode("-",$row["ultima_inscripcion"]))))) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Número CNU-OPSU")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["rusnies"]) ?></td>
</tr>
<tr>
<td colspan="2">Datos Socio-Econ&oacute;micos</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo de Estudiante ENAHP")."&nbsp;" ?></td>
<td class="dr">
<select name="tipo_estudiante">
  <option value="<?php $row["tipo_estudiante"] ?>"><?php echo $row["tipo_estudiante"] ?></option>
  <option value="BECADO">BECADO</option>
  <option value="NO BECADO">NO BECADO</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Cuenta Bancaria")."&nbsp;" ?></td>
<td class="dr"><input name="cuenta_bancaria" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["cuenta_bancaria"])) ?>" size="20" maxlength="20" onKeyPress="return soloNum(event)"></td>

</tr>
<tr>

<?php 

	$bd =new dbms('mysql','no'); 
	$clsObjetodeDatos = new clsObjetodeDatos($bd,$_POST,$_GET);
    $ClsGeneradorHtml=new ClsGeneradorHtml("","");


?>
	
<td class="hr"><?php echo htmlspecialchars("Tipo de Beca")."&nbsp;" ?></td>
<td class="dr"><?php echo $ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectTipoBeca()),"cmbTipoBeca","codigo","descripcion",$row["cod_becado"],500,"",false,"cmbTipoBeca","width: 210px;") ?></td>

</tr>
</table>
<?php 
// Cierro los recordset
mysql_free_result($rstEtnias1);
mysql_free_result($rstPais1);
mysql_free_result($rstEstados1);
mysql_free_result($rstMunicipio1);
mysql_free_result($rstParroquias1);
mysql_free_result($rstEstados2);
mysql_free_result($rstMunicipio2);
mysql_free_result($rstDiscapacidad);
mysql_free_result($rs_sede);
mysql_free_result($rs_carreras);
mysql_free_result($rst_edo_hab);
mysql_free_result($rst_municipio_hab);
mysql_free_result($rst_parroquia_hab);

} ?>



<?php function showpagenav($page, $pagecount)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="becados.php?a=add">Registrar Becados</a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="becados.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="becados.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="becados.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="becados.php?page=<?php echo $page + 1 ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count, $id_alumno, $nombre,$filter, $filterfield)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="becados.php?a=reset">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="becados.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="becados.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Siguiente</a></td>
<?php } ?>



</tr>
</table>
<hr size="1" noshade>
<?php 

} ?>



<?php function viewrec($recid, $campo, $valor_campo)
{
?>
<table class="bd" width="100%"><tr><td class="hr">Consultado Becado</td></tr></table>
<?php
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  $id_alumno=$row['id_alumno'];
  $nombre=$row['apellidos'].", ".$row['nombres'];
  mysql_free_result($res);?>
  <br>
<form name="form_alumno" id="form_alumno" enctype="multipart/form-data" action="becados.php" method="post" onSubmit="return validar_datos()">
<?php   
  showrecnav("view", $recid, $count, $id_alumno, $nombre, $campo, $valor_campo);
  showrow($row, $recid);
  showrecnav("view", $recid, $count, $id_alumno, $nombre, $campo, $valor_campo);
 ?>
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_alumno" value="<?php echo $row["id_alumno"] ?>">
<p><input type="submit" name="action" value="Guardar Cambios" ></p>
</form>
  
<?php } ?>

<?php function editrec($recid,$filter,$filterfield)
{
?>
<table class="bd" width="100%"><tr><td class="hr">Editando Becado</td></tr></table>
<?php
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  $id_alumno=$row['id_alumno'];
  $nombre=$row['apellidos'].", ".$row['nombres'];
  showrecnav("edit", $recid, $count, $id_alumno,$nombre,$filter,$filterfield);
?>
<?php
  mysql_free_result($res);
} ?>


<?php function connect()
{
  
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
   
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
   
  $filterstr = sqlstr($filter);
  
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";

  $sql = "SELECT * FROM  alumnos A inner join tipo_beca B on A.cod_becado = B.cod_becado ";
 
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where tipo_estudiante ='BECADO' and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where tipo_estudiante ='BECADO' and (`id_alumno` like '" .$filterstr ."') or (`tipo_doc` like '" .$filterstr ."') or (`cedula` like '" .$filterstr ."') or (`nacionalidad` like '" .$filterstr ."') or (`fecha_nac` like '" .$filterstr ."') or (`etnia` like '" .$filterstr ."') or (`apellidos` like '" .$filterstr ."') or (`nombres` like '" .$filterstr ."') or (`sexo` like '" .$filterstr ."') or (`edo_civil` like '" .$filterstr ."') or (`dir_calle` like '" .$filterstr ."') or (`dir_edificio` like '" .$filterstr ."') or (`dir_numero` like '" .$filterstr ."') or (`dir_sector` like '" .$filterstr ."') or (`dir_ciudad` like '" .$filterstr ."') or (`dir_estado` like '" .$filterstr ."') or (`dir_municipio` like '" .$filterstr ."') or (`dir_parroquia` like '" .$filterstr ."') or (`dir_zona` like '" .$filterstr ."') or (`dir_vivienda` like '" .$filterstr ."') or (`telefono_hab` like '" .$filterstr ."') or (`telefono_trab` like '" .$filterstr ."') or (`telefono_cel` like '" .$filterstr ."') or (`email` like '" .$filterstr ."') or (`lugar_nacimiento` like '" .$filterstr ."') or (`pais_nacimiento` like '" .$filterstr ."') or (`estado_nacimiento` like '" .$filterstr ."') or (`municipio_nacimiento` like '" .$filterstr ."') or (`parroquia_nacimiento` like '" .$filterstr ."') or (`nivel_acad` like '" .$filterstr ."') or (`grado_acad` like '" .$filterstr ."') or (`condicion_res` like '" .$filterstr ."') or (`fecha_ingreso` like '" .$filterstr ."') or (`ultima_inscripcion` like '" .$filterstr ."') or (`tipo_estudiante` like '" .$filterstr ."') or (`institucion` like '" .$filterstr ."') or (`cuenta_bancaria` like '" .$filterstr ."') or (`privado_lib` like '" .$filterstr ."')";
  }else{
    $sql .= " where tipo_estudiante ='BECADO'";	  
  }
  if (isset($order) && $order!='') $sql .= " order by `" .sqlstr($order) ."`";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM alumnos A inner join tipo_beca B on A.cod_becado = B.cod_becado ";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where tipo_estudiante ='BECADO' and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
     $sql .= " where tipo_estudiante ='BECADO' and (`id_alumno` like '" .$filterstr ."') or (`tipo_doc` like '" .$filterstr ."') or (`cedula` like '" .$filterstr ."') or (`nacionalidad` like '" .$filterstr ."') or (`fecha_nac` like '" .$filterstr ."') or (`etnia` like '" .$filterstr ."') or (`apellidos` like '" .$filterstr ."') or (`nombres` like '" .$filterstr ."') or (`sexo` like '" .$filterstr ."') or (`edo_civil` like '" .$filterstr ."') or (`dir_calle` like '" .$filterstr ."') or (`dir_edificio` like '" .$filterstr ."') or (`dir_numero` like '" .$filterstr ."') or (`dir_sector` like '" .$filterstr ."') or (`dir_ciudad` like '" .$filterstr ."') or (`dir_estado` like '" .$filterstr ."') or (`dir_municipio` like '" .$filterstr ."') or (`dir_parroquia` like '" .$filterstr ."') or (`dir_zona` like '" .$filterstr ."') or (`dir_vivienda` like '" .$filterstr ."') or (`telefono_hab` like '" .$filterstr ."') or (`telefono_trab` like '" .$filterstr ."') or (`telefono_cel` like '" .$filterstr ."') or (`email` like '" .$filterstr ."') or (`lugar_nacimiento` like '" .$filterstr ."') or (`pais_nacimiento` like '" .$filterstr ."') or (`estado_nacimiento` like '" .$filterstr ."') or (`municipio_nacimiento` like '" .$filterstr ."') or (`parroquia_nacimiento` like '" .$filterstr ."') or (`nivel_acad` like '" .$filterstr ."') or (`grado_acad` like '" .$filterstr ."') or (`condicion_res` like '" .$filterstr ."') or (`fecha_ingreso` like '" .$filterstr ."') or (`ultima_inscripcion` like '" .$filterstr ."') or (`tipo_estudiante` like '" .$filterstr ."') or (`institucion` like '" .$filterstr ."') or (`cuenta_bancaria` like '" .$filterstr ."') or (`privado_lib` like '" .$filterstr ."')";
  }else{
    $sql .= " where tipo_estudiante ='BECADO'";	  
  }

  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}


function sql_update()
{
  global $conn;
  global $_POST;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario; 
 
  $fecha_nac=join ("-",(array_reverse(explode("-",@$_POST["fecha_nac"]))));

  $sql = "update `alumnos` set `cod_becado`=" .sqlvalue(@$_POST["cmbTipoBeca"], true).",tipo_estudiante ='".$_POST["tipo_estudiante"]."', fecha_nac='$fecha_nac', cuenta_bancaria=" .sqlvalue(@$_POST["cuenta_bancaria"], true)." where " .primarykeycondition();

 mysql_query($sql, $conn) or die(mysql_error());
  
  // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Modificar Estudiante";
  $script="becados.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());
}



function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id_alumno`";
  if (@$_POST["xid_alumno"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_alumno"], false);
  };
  $pk .= ")";
  return $pk;
}

function limpiar($recid, $id_alumno_volver,$campo,$valor_campo)
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
 
    $filter = $valor_campo;
    $filterfield = $campo;
	
    $wholeonly = "";
    $order = "";
    $ordtype = "";
	
	 $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
}

function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	$Mes = substr($fecha,4,2); 
	$Anio = substr($fecha,0,4); 
	return $diaMes."-".$Mes."-".$Anio.""; 
} 
	   
// Calcula la edad (formato: año-mes-dia)
function edad($fecha_nac){
	list($Y,$m,$d) = explode("-",$fecha_nac);
    return( date("md") < $m.$d ? date("Y")-$Y-1 : date("Y")-$Y );
}

function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
 
 
 function calcular_ida($id_alumno,$id_carrera)
{
global $conn;

   // Función que calcula el Indice Académico de un Alumnno.

	// Busco todas las calificaciones del participante en el programa del cual egresará.
   $sql_ira ="SELECT DISTINCT historico_notas.id_materia,historico_notas.nota, historico_notas.aprobacion, materias.uc FROM historico_notas, materias WHERE historico_notas.id_alumno='$id_alumno' AND historico_notas.id_carrera='$id_carrera' and historico_notas.id_materia=materias.id_materia ";
   $rst_ira = mysql_query ($sql_ira,$conn ) or die (mysql_error()); 
   // Inicializo variables.
   $total_notas=0;
   $total_uc=0;
   $ira=0;
   while($row_ira = mysql_fetch_assoc($rst_ira))
   {

	  $nota      = $row_ira['nota'];       // Nota
	  $aprobacion= $row_ira['aprobacion']; // Forma de Aprobacion
      $creditos  = $row_ira['uc'];         // Unidades Crédito de la Materia 
	  if($aprobacion=="REGULAR") {
		 $total_notas=$total_notas+($nota*$creditos);
		 $total_uc=$total_uc+$creditos;
      }
	}
	if($total_uc==0){
	   $ira=0;
	 } 
	else{ 
	   $ira=$total_notas/$total_uc;
	}
	return $ira;
}
?>

<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
</script>	
	
<script type="text/javascript">
	
</script>	


<script type="text/javascript">
	function validar_datos()
	{

	    return true;
	}
</script>

<script>

</script>

<script type="text/javascript">

</script>

<script type="text/javascript">
        function imprimir_alumno(cedula_alumno){
            var strFeatures = "dialogTop="+((screen.height - 100) / 2)+"; dialogLeft=" + ((screen.width - 250) / 2) +"; dialogWidth=250px;" +
            "dialogHeight=100px; unadorned=0; status=0;  center=yes; help=no; font-family:Arial;" +
            "font-size:12px";
            showModalDialog ("impresion_alumnos.php?cedula_alumno="+cedula_alumno, "",strFeatures);
        }
</script>

<script>
function esFechaValida(fecha){
    if (fecha != undefined && fecha != "" ){
       
    	var dia  =  parseInt(fecha.substring(0,2),10);
		var mes  =  parseInt(fecha.substring(3,5),10);
		var anio =  parseInt(fecha.substring(6,10),10);
	
		if (isNaN(dia) || isNaN(mes) || isNaN(anio)) {
		   alert("Formato de fecha no v�lido");
		   document.addAlumno.fechanac.focus();
       return false;
	 }
	
    switch(mes){
        case 1:
			numDias=31;
            break;
        case 3:
			numDias=31;
            break;
        case 5:
			numDias=31;
            break;
        case 7:
			numDias=31;
            break;
        case 8: 
			numDias=31;
            break;
        case 10:
			numDias=31;
            break;
        case 12:
            numDias=31;
            break;
        case 4: case 6: case 9: case 11:
            numDias=30;
            break;
        case 2:
           if (comprobarSiBisisesto(anio)){ numDias=29 }else{ numDias=28};
            break;
        default:
            alert("Error en fecha introducida (Mes Inválido)");
			document.addAlumno.fechanac.focus();
            return false;
    }
 
        if (dia>numDias || dia==0){
            alert("Error en fecha introducida (Día Inválido)");
            document.addAlumno.fechanac.focus();
			return false;
        }
        return true;
    }
}
 
function comprobarSiBisisesto(anio){
if ( ( anio % 100 != 0) && ((anio % 4 == 0) || (anio % 400 == 0))) {
    return true;
    }
else {
    return false;
    }
}
</script>

<script type="text/javascript">
var patron = new Array(2,2,4)
var patron1= new Array(1,2)
var patron2 = new Array(1,3,3,3,3)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>


